Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Interface DeviceListener

All Known Implementing Classes:
  Shout3DPanel

public abstract interface DeviceListener

An interface which registers the interest of one or more DeviceObservers and passes DeviceInput information to each of them.

Method Summary
`void` | `addDeviceObserver(DeviceObserver devo, java.lang.String typeName, java.lang.Object userData)` This method registers the interest of a DeviceObserver The typeName should be fully qualified, as in "shout3d.core.MouseInput" or "shout3d.core.DeviceInput" to observe all inputs.
`void` | `removeDeviceObserver(DeviceObserver devo, java.lang.String typeName)` This method unregisters the interest of a DeviceObserver The typeName should be fully qualified, as in "shout3d.core.MouseInput" or "shout3d.core.DeviceInput" to observe all inputs.

Method Detail

### addDeviceObserver

    public void addDeviceObserver(DeviceObserver devo,
                                  java.lang.String typeName,
                                  java.lang.Object userData)

  This method registers the interest of a DeviceObserver The typeName should be fully qualified, as in "shout3d.core.MouseInput" or "shout3d.core.DeviceInput" to observe all inputs. This is especially important for new devices not in the Shout3D package. (If the "shout3d.core" prefix is left off, the listener will fill that in and there will be no error).
  Parameters:
    `observer` - the DeviceObserver
    `typeName` - the type of DeviceInput the observer wants to watch
    `userData` - data that will be passed back to the observer's onDeviceInput method

### removeDeviceObserver

    public void removeDeviceObserver(DeviceObserver devo,
                                     java.lang.String typeName)

  This method unregisters the interest of a DeviceObserver The typeName should be fully qualified, as in "shout3d.core.MouseInput" or "shout3d.core.DeviceInput" to observe all inputs. This is especially important for new devices not in the Shout3D package. (If the "shout3d.core" prefix is left off, the listener will fill that in and there will be no error).
  Parameters:
    `observer` - the DeviceObserver to unregister
    `typeName` - the type of DeviceInput the observer wants to watch

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD